QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Parameter
    v1.0.0

    Search cities in a province by name

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    provinceIdstringpathYesProvince id, get it from /parameter/v2/country/{countryId}/provinces
    namestringqueryNoCity name
    rowsintegerqueryNoHow many rows to return
    Responses

    200
    Expected data returned

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    labelstringDisplaying text of this data
    valuestringValue of this data
    {
      "message": null,
      "content": [
        {
          "label": "Shenzhen",
          "value": "12687656"
        }
      ]
    }
    GET
    /parameter/v2/province/{provinceId}/searchCities
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "message": null, "content": [ { "label": "Shenzhen", "value": "12687656" } ] }